WSNotification::Types::RelatesToType(3)

NAME
WSNotification::Types::RelatesToType

DESCRIPTION
Perl data type class for the XML Schema defined complexType RelatesToType from the namespace http://www.w3.org/2005/08/addressing.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

METHODS

  new
Constructor. The following data structure may be passed to new():

 { value => $some_value },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class WSNotification::Types::RelatesToType::_RelatesToType::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   RelationshipType

    This attribute is of type WSNotification::Types::RelationshipTypeOpenEnum.

AUTHOR
Generated by SOAP::WSDL